Package org.eclipse.ecf.core.sharedobject

# Class SharedObjectDescription

java.lang.Object
org.eclipse.ecf.core.sharedobject.SharedObjectDescription

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ReplicaSharedObjectDescription`

public class SharedObjectDescription extends Object implements Serializable
Description of a local ISharedObject instance.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ID`
`id`
`protected Map<String,?>`
`properties`
`protected SharedObjectTypeDescription`
`typeDescription`

## Constructor Summary

Constructors
Constructor
Description
`SharedObjectDescription()`
`SharedObjectDescription(Class clazz, ID id, Map<String,?> properties)`
`SharedObjectDescription(String typeName, ID id)`
`SharedObjectDescription(String typeName, ID id, Map<String,?> properties)`
`SharedObjectDescription(SharedObjectTypeDescription typeDescription, ID id)`
`SharedObjectDescription(SharedObjectTypeDescription typeDescription, ID id, Map<String,?> properties)`

## Method Summary

Modifier and Type
Method
Description
`ID`
`getID()`
`Map<String,?>`
`getProperties()`
`SharedObjectTypeDescription`
`getTypeDescription()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### typeDescription

protected SharedObjectTypeDescription typeDescription

### id

protected ID id

### properties

protected Map<String,?> properties

## Constructor Details

### SharedObjectDescription

public SharedObjectDescription()

Since:
  2.6

### SharedObjectDescription

public SharedObjectDescription(SharedObjectTypeDescription typeDescription, ID id, Map<String,?> properties)

Since:
  2.3

### SharedObjectDescription

public SharedObjectDescription(SharedObjectTypeDescription typeDescription, ID id)

Since:
  2.3

### SharedObjectDescription

public SharedObjectDescription(String typeName, ID id)

Since:
  2.3

### SharedObjectDescription

public SharedObjectDescription(String typeName, ID id, Map<String,?> properties)

### SharedObjectDescription

public SharedObjectDescription(Class clazz, ID id, Map<String,?> properties)

## Method Details

### getTypeDescription

public SharedObjectTypeDescription getTypeDescription()

### getID

public ID getID()

### getProperties

public Map<String,?> getProperties()

### toString

public String toString()

Overrides:
  `toString` in class `Object`